<?php
/**
 * DokuWiki Default Template
 *
 * This is the template you need to change for the overall look
 * of DokuWiki.
 *
 * You should leave the doctype at the very top - It should
 * always be the very first line of a document.
 *
 * @link   http://wiki.splitbrain.org/wiki:tpl:templates
 * @author Andreas Gohr <andi@splitbrain.org>
 * @author Riccardo Govoni <battlehorse@gmail.com>
 */

/* Creates the URL of the current page, used for Digg, delicious and google bookmarks */
function selfURL() { 
	$s = empty($_SERVER["HTTPS"]) ? '' : ($_SERVER["HTTPS"] == "on") ? "s" : ""; 
	$protocol = strleft(strtolower($_SERVER["SERVER_PROTOCOL"]), "/").$s; 
	$port = ($_SERVER["SERVER_PORT"] == "80") ? "" : (":".$_SERVER["SERVER_PORT"]); 
	return $protocol."://".$_SERVER['SERVER_NAME'].$port.$_SERVER['REQUEST_URI']; 
} 

function strleft($s1, $s2) { 
	return substr($s1, 0, strpos($s1, $s2)); 
}

// include functions for the blog plugin. REMOVE the following line if you do not use the blog plugin
include_once(DOKU_PLUGIN.'blog/functions.php');

// include functions that provide sidebar functionality
@require_once(dirname(__FILE__).'/tplfn_sidebar.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $conf['lang']?>"
 lang="<?php echo $conf['lang']?>" dir="<?php echo $lang['direction']?>">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title><?php tpl_pagetitle()?> [<?php echo hsc($conf['title'])?>]</title>

  <?php tpl_metaheaders()?>

  <link rel="shortcut icon" href="/favicon.ico" />

  <?php /*old includehook*/ @include(dirname(__FILE__).'/meta.html')?>
</head>

<body>
<?php /*old includehook*/ @include(dirname(__FILE__).'/topheader.html')?>
<div class="dokuwiki">
  <?php html_msgarea()?>

  <div class="stylehead">

    <div class="header">
<!--      <div class="pagename">
        [[<?php tpl_link(wl($ID,'do=backlink'),$ID)?>]]
      </div> -->
      <div class="logo">
        <?php tpl_link(wl(),$conf['title'],'name="dokuwiki__top" id="dokuwiki__top" accesskey="h" title="[ALT+H]"')?>
      </div>

      <div class="clearer"></div>
    </div>

    <?php /*old includehook*/ @include(dirname(__FILE__).'/header.html')?>

    <?php if($conf['breadcrumbs']){?>
    <div class="bread_upper_dark"></div>
    <div class="breadcrumbs">
      <?php tpl_breadcrumbs()?>
      <?php //tpl_youarehere() //(some people prefer this)?>
    </div>
    <div class="bread_lower_dark"></div>
    <div class="bread_lower_medium"></div>
    <div class="bread_lower_light">&nbsp;</div>
    <?php }?>

    <?php if($conf['youarehere']){?>
    <div class="bread_upper_dark"></div>
    <div class="breadcrumbs">
      <?php tpl_youarehere() ?>
    </div>
    <div class="bread_lower_dark"></div>
    <div class="bread_lower_medium"></div>
    <div class="bread_lower_light"></div>
    <?php }?>

  </div>
  <?php flush()?>

  <?php /*old includehook*/ @include(dirname(__FILE__).'/pageheader.html')?>

<div class="sideandpage" >
	<div class="leftcolumn">
		
	<div class="sidebarandshadows" >
		<table cellspacing="0" cellpadding="0" border="0" width="100%" >
			<tr>
				<td>
					<table  cellspacing="0" cellpadding="0" border="0" width="100%">
						<tr>
						<td valign="top">
							<div class="sidebar">
							<?php tpl_sidebar()?>
							</div>
						</td>
						</tr>
					</table>
				</td>
				<td class="page_lower_dark" style="width: 1px"></td>
				<td class="page_lower_medium" style="width: 1px"></td>
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_dark" style="height: 1px" colspan="2"></td>
				<td class="page_lower_medium" style="width: 1px"></td>
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_medium" style="height: 1px" colspan="3"></td>        
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_light" style="height: 1px" colspan="4"></td>        
			</tr>						
		</table>
	</div> 

	<div class="searchbarandshadows" >
		<table cellspacing="0" cellpadding="0" border="0" width="100%" >
			<tr>
				<td>
					<table cellspacing="0" cellpadding="0" border="0" width="100%" >
						<tr>
						<td valign="top">
						   <div class="searchbar">
						   <div class="centeralign"><?php tpl_searchform()?></div>
						   </div>
						</td>
						</tr>
					</table>
				</td>
				<td class="page_lower_dark" style="width: 1px"></td>
				<td class="page_lower_medium" style="width: 1px"></td>
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_dark" style="height: 1px" colspan="2"></td>
				<td class="page_lower_medium" style="width: 1px"></td>
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_medium" style="height: 1px" colspan="3"></td>        
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_light" style="height: 1px" colspan="4"></td>        
			</tr>						
		</table>
	</div>

	<div class="userbarandshadows" >
		<table cellspacing="0" cellpadding="0" border="0" width="100%" >
			<tr>
				<td>
					<table cellspacing="0" cellpadding="0" border="0" width="100%">
						<tr>
						<td valign="top">
						  <div class="userbar" >
                <table cellspacing="0" cellpadding="2" border="0" width="100%" >
                  <tr><td>
						        <div class="smallpadding"><?php tpl_actionlink('index')?></div></td></tr><tr><td>
						        <div class="smallpadding"><?php tpl_actionlink('recent')?></div></td></tr><tr><td>
      							<div class="smallpadding"><?php tpl_actionlink('backlink')?></div></td></tr><tr><td>
      							<div class="smallpadding"><?php tpl_actionlink('edit')?></div></td></tr><tr><td>
      							<div class="smallpadding"><?php tpl_actionlink('history')?></div></td></tr><tr><td>
					                <div class="smallpadding"><?php tpl_actionlink('login')?>
					              <?php if ($_SERVER['REMOTE_USER']){
					                echo $INFO['userinfo']['name'].'</div></td></tr><tr><td>';
					                echo '<div class="smallpadding">'; echo tpl_actionlink('profile').'</div></td></tr><tr><td>';
					              } else {
							echo '</div></td></tr><tr><td>'; 
						      }?>
					     	      <?php if ($INFO['perm'] == 255){
					  	        echo '<div class="smallpadding">'; echo tpl_actionlink('admin').'</div></td></tr><tr><td>';
					  	      }?>
						      
                </table>

						  </div>
						</td>
						</tr>
					</table>
				</td>
				<td class="page_lower_dark" style="width: 1px"></td>
				<td class="page_lower_medium" style="width: 1px"></td>
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_dark" style="height: 1px" colspan="2"></td>
				<td class="page_lower_medium" style="width: 1px"></td>
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_medium" style="height: 1px" colspan="3"></td>        
				<td class="page_lower_light" style="width: 1px"></td>
			</tr>
			<tr>
				<td class="page_lower_light" style="height: 1px" colspan="4"></td>        
			</tr>						
		</table>
	</div> 

      </div>
	
      <div class="rightcolumn" >
        <div class="page">
          <!-- wikipage start -->
          <?php tpl_content()?>
          <!-- wikipage stop -->
          <?php /* REMOVE the following three lines if you do not use the blog plugin */ ?>
    	    <!-- discussion start -->
	        <?php tpl_discussion()?>
    	    <!-- discussion stop -->
        </div>
        <div class="page_lower_dark"></div>
        <div class="page_lower_medium"></div>
        <div class="page_lower_light"></div> 
     </div>
      <div class="clearer">&nbsp;</div>
</div>

 <?php flush()?>

  <div class="stylefoot">

    <div class="meta">
      <div class="user">
        <?php tpl_userinfo()?>
      </div>
      <div class="doc">
        <?php tpl_pageinfo()?> &nbsp;
        <?php tpl_actionlink('top') ?>
      </div>
    </div>

   <?php /*old includehook*/ @include(dirname(__FILE__).'/pagefooter.html')?>

    <div class="bar" id="bar__bottom">

     <?php /*old includehook*/ @include(dirname(__FILE__).'/footer.html')?>
     
     <div class="clearer"></div>
    </div>
    
  </div>

</div>

<div class="no"><?php tpl_indexerWebBug()?></div>
</body>
</html>
